<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:03a55eb1-d401-425b-8360-aa4efe9a1d15,g:cd206c3f-6893-484f-b90a-349307a6ebeb-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.st.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_c93dc52a-0798-4a93-b62f-8b2b07bb414c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_97401fe4-7f72-4bca-b6bb-cfa04e0532a6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_c93dc52a-0798-4a93-b62f-8b2b07bb414c" xlink:to="loc_ifrs-full_FinanceCosts_97401fe4-7f72-4bca-b6bb-cfa04e0532a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_762a9667-1f4e-419d-b93f-dc26757609fd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_c93dc52a-0798-4a93-b62f-8b2b07bb414c" xlink:to="loc_ifrs-full_FinanceIncome_762a9667-1f4e-419d-b93f-dc26757609fd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_4a7d48e1-9eb6-45b2-960f-807072ad68db" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_c93dc52a-0798-4a93-b62f-8b2b07bb414c" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_4a7d48e1-9eb6-45b2-960f-807072ad68db" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_92694e56-e04f-47af-967d-97aaab6fc0e9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherRevenue_146727a9-abcf-4281-95a8-322030a6d528" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherRevenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_92694e56-e04f-47af-967d-97aaab6fc0e9" xlink:to="loc_ifrs-full_OtherRevenue_146727a9-abcf-4281-95a8-322030a6d528" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_Sales_c3c81a4e-f8bb-43ae-9874-6c79a8165aa8" xlink:href="stm-2023-12-31.xsd#stm_Sales"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_92694e56-e04f-47af-967d-97aaab6fc0e9" xlink:to="loc_stm_Sales_c3c81a4e-f8bb-43ae-9874-6c79a8165aa8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_17f8fa4a-db8a-4771-bb79-090a39f7a947" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_96dcd238-4985-4e46-a3cc-8f4e2db5fd36" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_17f8fa4a-db8a-4771-bb79-090a39f7a947" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_96dcd238-4985-4e46-a3cc-8f4e2db5fd36" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_2e8f7c18-43e1-4bd1-bf57-c7d5557b5bdd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_17f8fa4a-db8a-4771-bb79-090a39f7a947" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_2e8f7c18-43e1-4bd1-bf57-c7d5557b5bdd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_88d1acbf-296e-433e-8927-72efd0c6eb5d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_f33bd07a-b18f-4216-a917-f6d6819ab596" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_88d1acbf-296e-433e-8927-72efd0c6eb5d" xlink:to="loc_ifrs-full_Revenue_f33bd07a-b18f-4216-a917-f6d6819ab596" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CostOfSales_d2223b65-f591-4730-b9da-4c966cd09a2c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfSales"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_88d1acbf-296e-433e-8927-72efd0c6eb5d" xlink:to="loc_ifrs-full_CostOfSales_d2223b65-f591-4730-b9da-4c966cd09a2c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_e63bcfc9-7b3f-47af-a2b7-73826e08d749" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_599951ab-ff89-400c-9ab9-4fd5ced3f9f6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_e63bcfc9-7b3f-47af-a2b7-73826e08d749" xlink:to="loc_ifrs-full_GrossProfit_599951ab-ff89-400c-9ab9-4fd5ced3f9f6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherIncome_caf9ba48-26db-4aac-bc3d-a7fdbf8a426b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_e63bcfc9-7b3f-47af-a2b7-73826e08d749" xlink:to="loc_ifrs-full_OtherIncome_caf9ba48-26db-4aac-bc3d-a7fdbf8a426b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ResearchAndDevelopmentExpense_159116cb-98fa-4be8-bbfc-49b7eb038950" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ResearchAndDevelopmentExpense"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_e63bcfc9-7b3f-47af-a2b7-73826e08d749" xlink:to="loc_ifrs-full_ResearchAndDevelopmentExpense_159116cb-98fa-4be8-bbfc-49b7eb038950" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherExpenseByFunction_b60df37c-28eb-485f-859f-cdf986c65ae2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByFunction"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_e63bcfc9-7b3f-47af-a2b7-73826e08d749" xlink:to="loc_ifrs-full_OtherExpenseByFunction_b60df37c-28eb-485f-859f-cdf986c65ae2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SellingGeneralAndAdministrativeExpense_6635496c-8633-4652-89a8-33391e89818c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SellingGeneralAndAdministrativeExpense"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_e63bcfc9-7b3f-47af-a2b7-73826e08d749" xlink:to="loc_ifrs-full_SellingGeneralAndAdministrativeExpense_6635496c-8633-4652-89a8-33391e89818c" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.st.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement_1" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_af2eb5d6-df0b-4ac6-9fba-e220e500e46c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_57497fd2-9dca-4c93-8a5a-17023b55c798" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_af2eb5d6-df0b-4ac6-9fba-e220e500e46c" xlink:to="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_57497fd2-9dca-4c93-8a5a-17023b55c798" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests_9b0f90a6-a175-4b28-bae4-05ce2a3232e7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_af2eb5d6-df0b-4ac6-9fba-e220e500e46c" xlink:to="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests_9b0f90a6-a175-4b28-bae4-05ce2a3232e7" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.st.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_6d872d74-2ef0-4bda-992d-afc4f6ebac80" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges_37bb39ae-2744-4252-b4a5-dc6e5ef430de" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_6d872d74-2ef0-4bda-992d-afc4f6ebac80" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges_37bb39ae-2744-4252-b4a5-dc6e5ef430de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome_866da85a-4823-4c59-8811-60baee26be4a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_6d872d74-2ef0-4bda-992d-afc4f6ebac80" xlink:to="loc_ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome_866da85a-4823-4c59-8811-60baee26be4a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_43a5e9fb-c774-413d-abc5-a4a82ec4f584" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_9820a532-13b4-4a61-81a8-32b93bc4b165" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_43a5e9fb-c774-413d-abc5-a4a82ec4f584" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_9820a532-13b4-4a61-81a8-32b93bc4b165" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_77d4476a-ecf6-436e-aec9-d7a11936f41b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_43a5e9fb-c774-413d-abc5-a4a82ec4f584" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_77d4476a-ecf6-436e-aec9-d7a11936f41b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_94551f42-9290-4296-a04b-ba66e361bded" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_9437b147-8618-4527-827d-06e43a770914" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_94551f42-9290-4296-a04b-ba66e361bded" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_9437b147-8618-4527-827d-06e43a770914" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_6faee422-df8b-4be7-adb5-670ce3600d4f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_94551f42-9290-4296-a04b-ba66e361bded" xlink:to="loc_ifrs-full_IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_6faee422-df8b-4be7-adb5-670ce3600d4f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_d8ec705c-6226-4602-a89d-4c57e29bd6bc" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_b750ffe3-7326-45d6-85c7-791d3d37910c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_d8ec705c-6226-4602-a89d-4c57e29bd6bc" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_b750ffe3-7326-45d6-85c7-791d3d37910c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_7457dd31-d569-419f-9bba-adff7b626018" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent_1468d94a-8097-4676-9452-59f43a282938" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_7457dd31-d569-419f-9bba-adff7b626018" xlink:to="loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent_1468d94a-8097-4676-9452-59f43a282938" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests_cd94b47a-e7e3-4bb2-9b15-5eab27339be5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_7457dd31-d569-419f-9bba-adff7b626018" xlink:to="loc_ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests_cd94b47a-e7e3-4bb2-9b15-5eab27339be5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_a83f2cd7-410a-47fc-a1c0-78b3c046da49" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_9e1100a7-8d62-41fc-aae6-1b9083274d21" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_a83f2cd7-410a-47fc-a1c0-78b3c046da49" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_9e1100a7-8d62-41fc-aae6-1b9083274d21" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_c5bbddea-a8a7-48e4-89ac-598047e5a7e1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_a83f2cd7-410a-47fc-a1c0-78b3c046da49" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_c5bbddea-a8a7-48e4-89ac-598047e5a7e1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_341314ad-cb61-45af-b751-c334ec6f1b31" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_b0951dfa-0e0a-4e12-a9ed-312df05caf48" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_341314ad-cb61-45af-b751-c334ec6f1b31" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_b0951dfa-0e0a-4e12-a9ed-312df05caf48" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_f4c9fab1-a86b-4214-a52d-674a4d4a98ae" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_341314ad-cb61-45af-b751-c334ec6f1b31" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges_f4c9fab1-a86b-4214-a52d-674a4d4a98ae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_65831c80-acf3-462f-8315-ae366d633b8c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_341314ad-cb61-45af-b751-c334ec6f1b31" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_65831c80-acf3-462f-8315-ae366d633b8c" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.st.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement_1" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_69d9995a-7283-4b1a-87f1-a8455d88ca19" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_fa79b9d4-2311-492d-8de1-bfea657cfd8b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_69d9995a-7283-4b1a-87f1-a8455d88ca19" xlink:to="loc_ifrs-full_ProfitLoss_fa79b9d4-2311-492d-8de1-bfea657cfd8b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_62f42a07-d9be-4750-b9df-57a28d5aad32" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_69d9995a-7283-4b1a-87f1-a8455d88ca19" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_62f42a07-d9be-4750-b9df-57a28d5aad32" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.st.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets_b95613df-ddc6-4468-b17d-84de300d4eec" xlink:href="stm-2023-12-31.xsd#stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:to="loc_stm_PropertyPlantAndEquipmentIncludingRightOfUseAssets_b95613df-ddc6-4468-b17d-84de300d4eec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_26e69cc2-d308-44a5-9e04-cc42e9bb4626" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:to="loc_ifrs-full_Goodwill_26e69cc2-d308-44a5-9e04-cc42e9bb4626" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_319de67a-3c26-40d7-b04e-d6a89281c669" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_319de67a-3c26-40d7-b04e-d6a89281c669" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_e36b529c-b7b3-4265-9a95-f8376dc09979" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_e36b529c-b7b3-4265-9a95-f8376dc09979" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_4588d0f4-8aae-4bf4-834b-e8f53c646939" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:to="loc_ifrs-full_DeferredTaxAssets_4588d0f4-8aae-4bf4-834b-e8f53c646939" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentAssets_844226e2-919c-4856-8106-8d1c36f03806" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentAssets"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_6b90175d-ce42-459a-adfe-656e7e6d16da" xlink:to="loc_ifrs-full_OtherNoncurrentAssets_844226e2-919c-4856-8106-8d1c36f03806" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_54c9f72d-db11-452e-ba27-71173a607ac1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_0b97de72-3a24-4dc4-9ffd-06decfe66511" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_54c9f72d-db11-452e-ba27-71173a607ac1" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_0b97de72-3a24-4dc4-9ffd-06decfe66511" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests_f7753d13-1879-4ce1-bf10-cac856e942ae" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_54c9f72d-db11-452e-ba27-71173a607ac1" xlink:to="loc_ifrs-full_NoncontrollingInterests_f7753d13-1879-4ce1-bf10-cac856e942ae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_34bec26c-a243-4591-8196-673826de2e4c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_15bba32a-e893-4485-9b21-a6105357b4c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_34bec26c-a243-4591-8196-673826de2e4c" xlink:to="loc_ifrs-full_NoncurrentAssets_15bba32a-e893-4485-9b21-a6105357b4c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_bef86fe0-1109-4afa-a7f3-8451285d5358" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_34bec26c-a243-4591-8196-673826de2e4c" xlink:to="loc_ifrs-full_CurrentAssets_bef86fe0-1109-4afa-a7f3-8451285d5358" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_1e0e8d99-c65f-4b41-a0e9-74cae8e2a686" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_1e0e8d99-c65f-4b41-a0e9-74cae8e2a686" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers_9c059fdd-b8e3-4b69-b558-601f55c5a0c7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers_9c059fdd-b8e3-4b69-b558-601f55c5a0c7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities_7fe0d1f2-ad56-47fd-82fc-8ba2e97cdb62" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities_7fe0d1f2-ad56-47fd-82fc-8ba2e97cdb62" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisionsForEmployeeBenefits_bb9fc478-f643-4abe-a559-fbd3f5b4168e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisionsForEmployeeBenefits"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_CurrentProvisionsForEmployeeBenefits_bb9fc478-f643-4abe-a559-fbd3f5b4168e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherShorttermProvisions_6eb3dedd-67c7-48b0-b65d-3b0415c4fb05" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherShorttermProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_OtherShorttermProvisions_6eb3dedd-67c7-48b0-b65d-3b0415c4fb05" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialLiabilities_2a101aed-dbac-4d89-8947-7e3728736081" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_OtherCurrentFinancialLiabilities_2a101aed-dbac-4d89-8947-7e3728736081" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_3537f2e9-5a7a-4f1b-8a58-6b92a325edf2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_e05d7eb4-8962-4623-8824-25c03b7a2066" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_3537f2e9-5a7a-4f1b-8a58-6b92a325edf2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_e3c29ead-4b1c-43f3-adc8-822d6efafd4b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:to="loc_ifrs-full_Inventories_e3c29ead-4b1c-43f3-adc8-822d6efafd4b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTradeReceivables_ce2a162c-ac8f-4295-b041-3b7d61c25275" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:to="loc_ifrs-full_CurrentTradeReceivables_ce2a162c-ac8f-4295-b041-3b7d61c25275" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets_aa3d1160-85b5-4fb0-8367-d06a26d49cfb" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets_aa3d1160-85b5-4fb0-8367-d06a26d49cfb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentAssets_40a67c95-59ae-46fa-8522-305f769340ad" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:to="loc_ifrs-full_OtherCurrentAssets_40a67c95-59ae-46fa-8522-305f769340ad" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermDepositsNotClassifiedAsCashEquivalents_af1118ce-fbb9-4d52-b0d1-8e3534df04ea" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermDepositsNotClassifiedAsCashEquivalents"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:to="loc_ifrs-full_ShorttermDepositsNotClassifiedAsCashEquivalents_af1118ce-fbb9-4d52-b0d1-8e3534df04ea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_7d92de31-f470-4947-a43a-18d5ab6fc070" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_adc5aa79-b786-40b7-9f0e-eb1f41741419" xlink:to="loc_ifrs-full_CashAndCashEquivalents_7d92de31-f470-4947-a43a-18d5ab6fc070" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_70e814b4-8661-4f63-ae23-5028efb8ea0e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_42490f86-5d3f-4b47-892b-7173b8105b87" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_70e814b4-8661-4f63-ae23-5028efb8ea0e" xlink:to="loc_ifrs-full_Equity_42490f86-5d3f-4b47-892b-7173b8105b87" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_9dca5cdc-73f0-4674-861b-c4366a89cc70" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_70e814b4-8661-4f63-ae23-5028efb8ea0e" xlink:to="loc_ifrs-full_NoncurrentLiabilities_9dca5cdc-73f0-4674-861b-c4366a89cc70" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_61853505-2085-4edb-87da-80583672a1f1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_70e814b4-8661-4f63-ae23-5028efb8ea0e" xlink:to="loc_ifrs-full_CurrentLiabilities_61853505-2085-4edb-87da-80583672a1f1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_b49b5191-72eb-47f3-8ae6-67a1e95d1136" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_037c6829-2028-4ba2-b230-c5ddebe18c09" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_b49b5191-72eb-47f3-8ae6-67a1e95d1136" xlink:to="loc_ifrs-full_LongtermBorrowings_037c6829-2028-4ba2-b230-c5ddebe18c09" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_c59db2d8-f354-4ef3-86df-32f370ecc532" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_b49b5191-72eb-47f3-8ae6-67a1e95d1136" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_c59db2d8-f354-4ef3-86df-32f370ecc532" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_5591f0f1-d093-4739-b946-d04cc273c780" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_b49b5191-72eb-47f3-8ae6-67a1e95d1136" xlink:to="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_5591f0f1-d093-4739-b946-d04cc273c780" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_ea7a076e-08ec-43c9-b720-48b3cb3baefb" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_b49b5191-72eb-47f3-8ae6-67a1e95d1136" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_ea7a076e-08ec-43c9-b720-48b3cb3baefb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentLiabilities_19411f01-23b4-454d-bec4-896a23e38f3a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_b49b5191-72eb-47f3-8ae6-67a1e95d1136" xlink:to="loc_ifrs-full_OtherNoncurrentLiabilities_19411f01-23b4-454d-bec4-896a23e38f3a" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.st.com/role/StatementofchangesinequityStatement" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementofchangesinequityStatement"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementofchangesinequityStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_05aa6fa6-984f-451a-affc-b5d0dae9ae76" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_69d10af5-7bc6-4c6d-8b76-bfe2e9bcf220" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_05aa6fa6-984f-451a-affc-b5d0dae9ae76" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_69d10af5-7bc6-4c6d-8b76-bfe2e9bcf220" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_10790918-ddea-4aa2-8809-bcfde96c8009" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_05aa6fa6-984f-451a-affc-b5d0dae9ae76" xlink:to="loc_ifrs-full_ProfitLoss_10790918-ddea-4aa2-8809-bcfde96c8009" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.st.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="stm-2023-12-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://www.st.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_12d3758a-3733-48fa-9c01-e668df85a9cd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_12d3758a-3733-48fa-9c01-e668df85a9cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ProceedsFromCapitalGrantsAndOtherContributions_7cc32f14-b89b-46ca-88da-a8b6c04bf6a8" xlink:href="stm-2023-12-31.xsd#stm_ProceedsFromCapitalGrantsAndOtherContributions"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_stm_ProceedsFromCapitalGrantsAndOtherContributions_7cc32f14-b89b-46ca-88da-a8b6c04bf6a8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_PaymentForPurchaseOfFinancialAssets_78ca9042-61e6-44c4-8641-649f768cc4a2" xlink:href="stm-2023-12-31.xsd#stm_PaymentForPurchaseOfFinancialAssets"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_stm_PaymentForPurchaseOfFinancialAssets_78ca9042-61e6-44c4-8641-649f768cc4a2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_0508d488-afdb-4328-be82-c4ae4ec5ed01" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_0508d488-afdb-4328-be82-c4ae4ec5ed01" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_127904f5-1861-4aeb-b6eb-42f40724244a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_127904f5-1861-4aeb-b6eb-42f40724244a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_20029767-4052-416e-995f-9890a4638973" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_20029767-4052-416e-995f-9890a4638973" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ProceedsFromMaturedMarketableSecurities_812f842b-6a9a-42d4-b5ee-f58272089a6c" xlink:href="stm-2023-12-31.xsd#stm_ProceedsFromMaturedMarketableSecurities"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_stm_ProceedsFromMaturedMarketableSecurities_812f842b-6a9a-42d4-b5ee-f58272089a6c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_8a79d9ec-fedb-4184-84aa-5dabe04cad27" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_8a79d9ec-fedb-4184-84aa-5dabe04cad27" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_PaymentForPurchaseOfMarketableSecurities_1ce010bc-5eef-46b2-9670-35dba1b0dc1a" xlink:href="stm-2023-12-31.xsd#stm_PaymentForPurchaseOfMarketableSecurities"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_08deacb4-fc16-4a60-91ae-3bda9ff7ec60" xlink:to="loc_stm_PaymentForPurchaseOfMarketableSecurities_1ce010bc-5eef-46b2-9670-35dba1b0dc1a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_53b44eb0-084b-4f33-a783-e114004f73ea" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_ProfitLoss_53b44eb0-084b-4f33-a783-e114004f73ea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_cc034dbd-68e3-43b4-b383-81ef1f6662c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_cc034dbd-68e3-43b4-b383-81ef1f6662c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceCosts_7c4c2ce8-7b1f-4237-94be-a76ef0541f6c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceCosts"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForFinanceCosts_7c4c2ce8-7b1f-4237-94be-a76ef0541f6c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_e07a1063-ff57-4fd6-b0fd-953546c2165e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_e07a1063-ff57-4fd6-b0fd-953546c2165e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForSharebasedPayments_422dcab1-4433-4ff5-b613-7687e90e2ab9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForSharebasedPayments_422dcab1-4433-4ff5-b613-7687e90e2ab9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_ace2b934-7a43-4ec6-93b2-9333effeea8e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_ace2b934-7a43-4ec6-93b2-9333effeea8e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDeferredTaxExpense_7a7f0900-5f4c-4f46-8faf-eb225da1e81e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDeferredTaxExpense"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForDeferredTaxExpense_7a7f0900-5f4c-4f46-8faf-eb225da1e81e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment_b81ceaa9-6e55-4068-9142-c15af0ac4fde" xlink:href="stm-2023-12-31.xsd#stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment_b81ceaa9-6e55-4068-9142-c15af0ac4fde" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_faa27d92-bcbc-4a81-b655-29b0cf0e422b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_faa27d92-bcbc-4a81-b655-29b0cf0e422b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_bf30d812-e253-41ad-8d78-de539db925da" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_bf30d812-e253-41ad-8d78-de539db925da" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_cc487823-50b4-439a-bd83-cb8e913a97ef" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_cc487823-50b4-439a-bd83-cb8e913a97ef" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_MovementOfOtherAssetsAndLiabilitiesNet_5e151658-e9bf-461d-8759-8dcf0e8bb671" xlink:href="stm-2023-12-31.xsd#stm_MovementOfOtherAssetsAndLiabilitiesNet"/>
    <link:calculationArc order="12" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_stm_MovementOfOtherAssetsAndLiabilitiesNet_5e151658-e9bf-461d-8759-8dcf0e8bb671" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_9ad629f0-41b5-46ba-8c61-1c578edc7b76" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="13" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_9ad629f0-41b5-46ba-8c61-1c578edc7b76" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_8627a33b-97a6-4d92-a886-c221b6a40db2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities"/>
    <link:calculationArc order="14" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_8627a33b-97a6-4d92-a886-c221b6a40db2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_31d41dea-cf27-4983-988f-6d725375c49d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="15" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_c9e4a0b4-39a0-4bc7-9ddf-ed35bb92487d" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_31d41dea-cf27-4983-988f-6d725375c49d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_eb12331f-4943-465c-b6c9-c6ac38646587" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_eb12331f-4943-465c-b6c9-c6ac38646587" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_e1a5fb32-6b20-466f-9dcd-b99a97ea29fd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities_e1a5fb32-6b20-466f-9dcd-b99a97ea29fd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_5604e9c0-f0d8-413d-b80e-79b755cbd6ee" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_5604e9c0-f0d8-413d-b80e-79b755cbd6ee" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromContributionsOfNoncontrollingInterests_f0fda280-8570-4d85-9d85-f447482a37b6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromContributionsOfNoncontrollingInterests"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_ProceedsFromContributionsOfNoncontrollingInterests_f0fda280-8570-4d85-9d85-f447482a37b6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_ac61eabb-9669-499e-8656-296332b1d871" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_ac61eabb-9669-499e-8656-296332b1d871" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_stm_ProceedsFromContributedCapital_32bf4055-4d48-4682-950a-67cfc4297723" xlink:href="stm-2023-12-31.xsd#stm_ProceedsFromContributedCapital"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_stm_ProceedsFromContributedCapital_32bf4055-4d48-4682-950a-67cfc4297723" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_1aef2789-25c9-4755-99c0-63608d00515b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_1aef2789-25c9-4755-99c0-63608d00515b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_f8cdc3aa-fce0-4e60-a80f-dfca1405d603" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_f8cdc3aa-fce0-4e60-a80f-dfca1405d603" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_17481f90-8610-475a-a357-fc35a5d729a1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_b1009295-f6e6-49e6-aa71-0d979a2b47d2" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_17481f90-8610-475a-a357-fc35a5d729a1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_e19e7bef-e06e-413f-9b2a-90e48c9468f3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_e1178878-a8b9-4c47-b66c-66aad040fd7a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_e19e7bef-e06e-413f-9b2a-90e48c9468f3" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_e1178878-a8b9-4c47-b66c-66aad040fd7a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_df1d35f5-e69b-427c-9803-d77240474bf0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_e19e7bef-e06e-413f-9b2a-90e48c9468f3" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_df1d35f5-e69b-427c-9803-d77240474bf0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_4cdb840b-2f51-4281-8522-a588eb5ca329" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_e19e7bef-e06e-413f-9b2a-90e48c9468f3" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_4cdb840b-2f51-4281-8522-a588eb5ca329" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_9c31f56c-90a8-496f-82c8-47d6b8d39d81" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_e19e7bef-e06e-413f-9b2a-90e48c9468f3" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_9c31f56c-90a8-496f-82c8-47d6b8d39d81" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
